{% extends "base.html" %}
{% block main %}
{% if album.title %}
<h1>Edition de {{album.title}}</h1>
{% else %}
<h1>Ajouter un album</h1>
{% endif %}
<form role='form' method='POST' action="{{ url_for('save_album') }}">
	{{ form.hidden_tag() }}
	<!-- champ titre album -->
	<div class={% if form.title.errors %} "form-group has-errors" {% else %} "form-group" {% endif %}>
        {{ form.title.label }}
        
		{{ form.title(size=50, class_="form-control") }}
    </div>
	<!-- champ artiste album -->
    <div class={% if form.artist.errors %} "form-group has-errors" {% else %} "form-group" {% endif %}>
        {{ form.artist.label }}
		{{ form.artist(size=50, class_="form-control") }}
    </div>
	<!-- champ parent album -->
    <div class={% if form.parent.errors %} "form-group has-errors" {% else %} "form-group" {% endif %}>
        {{ form.parent.label }}
		{{ form.parent(size=50, class_="form-control") }}
	</div>
	<!-- champ annee album -->
    <div class={% if form.release_year.errors %} "form-group has-errors" {% else %} "form-group" {% endif %}>
		{{ form.release_year.label }}
		{{ form.release_year(size=50, class_="form-control") }}
    </div>
	<!-- champ groupe album -->
    <div class={% if form.img.errors %} "form-group has-errors" {% else %} "form-group" {% endif %}>
		{{ form.img.label }}
		{{ form.img(size=50, class_="form-control") }}
	</div>
	<!-- ajout de titres album -->
	{% if form.title.errors %}
	<ul class="list-group">
		{% for e in form.title.errors %}
		<li class="list-group-item list-group-item-danger">
			{{e}}
		</li>
		{% endfor %}
	</ul>
	{% endif %}
<!-- bouton enregistrement -->
	<input class="btn btn-default" type="submit" value="Enregistrer">
</form>
{% endblock %}